Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Resource Pools

GET
/topology/v1/resource-pools
curl --request GET \
--url https://example.com/topology/v1/resource-pools

Returns a paginated list of resource pools. Scope to a zone with filter=zone_id="<uuid>".

page_size
integer format: int32

The maximum number of resource pools to return. The service may return fewer than this value. If unspecified, at most 20 resource pools will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListResourcePools call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListResourcePools must match the call that provided the page token.

filter
string

A filter expression allows you to filter the resource pools listed in the response. At qibdo, we use the AIP-160 proposal, that means that your expression should include: field name, an operator, and the value you wish to filter by. The value can be a string, number, or boolean, and the operator must be one of the following: =, !=, >, <, <=, >=, or : You can group multiple expressions using parentheses and the logical operators AND and OR. Examples: zone_id = "..." -> Filter by parent zone · name = "pool-01" -> Filter by name

order_by
string

The order in which to sort the results. If not specified, the results will be sorted by name in ascending order. At qibdo, we use the AIP-132 proposal, that means: Values should be a comma separated list of fields. For example: "foo,bar". The default sort order is ascending. To specify descending order, a suffix " desc" should be added. For example: "foo desc,bar". Redundant space characters in the syntax are insignificant.

OK

Media type application/json

ListResourcePoolsResponse

Response message for ListResourcePools. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
resource_pools

The list of resource pools

Array<object>

Resource Pool

Represents a resource pool within a zone in the Qibdo Cloud topology. A resource pool groups deployment targets (physical hosts) for resource management and scheduling.

object
id

The unique identifier of the resource pool

stringOutput only
zone_id

The unique identifier of the parent zone. Supplied on create (the flat collection’s parent reference), immutable thereafter.

string
name
required

The display name of the resource pool (RFC 1035 DNS label)

string
created

The timestamp when the resource pool was created

string format: date-time Output only
updated

The timestamp when the resource pool was last updated

string format: date-time Output only
label_selector
required

Label Selector

Defines pool membership over DeploymentTargets. A DeploymentTarget belongs to this pool iff its Kubernetes label map contains every key in match_labels with the matching value. matchLabels-only for the alpha; matchExpressions is reserved for future use.

object
match_labels
required

Required labels and their values. A DeploymentTarget matches iff every key is present in its label map with the matching value.

object
key
additional properties
string
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example generated
{
"resource_pools": [
{
"zone_id": "example",
"name": "example",
"label_selector": {
"match_labels": {
"additionalProperty": "example"
}
}
}
],
"next_page_token": "example"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}